Name: gtk-rezlooks-engine
Version: 0.6
Release: 7%{?dist}
Summary: Rezlooks GTK2 engine


Group: System Environment/Libraries
License: GPLv2
URL: http://www.gnome-look.org/content/show.php?content=39179
Source0: http://www.gnome-look.org/content/files/39179-rezlooks-%{version}.tar.gz
Source10: http://people.os-zen.net/rezza/themes/Rezlooks-Gilouche.tar.gz
Source11: http://people.os-zen.net/rezza/themes/Rezlooks-Snow.tar.gz
Source12: http://people.os-zen.net/rezza/themes/Rezlooks-candy.tar.gz
Source13: http://people.os-zen.net/rezza/themes/Rezlooks-graphite.tar.gz
Source14: http://people.os-zen.net/rezza/themes/Rezlooks-dark.tar.gz
# Rezlooks-Arials theme is not included since it requires the nuoveXT-1.6 icon theme
#Source15: http://people.os-zen.net/rezza/themes/Rezlooks-Aerials.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel

%description
Rezlooks is a gtk2 theme engine based on clearlooks.


%prep
%setup -q -n rezlooks-%{version}


%build
%configure --enable-animation
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/themes
(cd $RPM_BUILD_ROOT/%{_datadir}/themes;
zcat %{SOURCE10} | tar -xvf -;
zcat %{SOURCE11} | tar -xvf -;
zcat %{SOURCE12} | tar -xvf -;
zcat %{SOURCE13} | tar -xvf -;
zcat %{SOURCE14} | tar -xvf -;
)

#remove .la files
find $RPM_BUILD_ROOT -name *.la | xargs rm -f || true
#fix permission
find $RPM_BUILD_ROOT/%{_datadir}/themes -type f | xargs chmod 0644 || true
#remove backup files
find $RPM_BUILD_ROOT/%{_datadir}/themes -name *~ -type f | xargs rm -f || true


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CREDITS COPYING Changelog
%{_libdir}/gtk-2.0/*/engines/*
%{_datadir}/*


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6-6
- Autorebuild for GCC 4.3

* Thu Aug 2 2007 Mads Villadsen <maxx@krakoa.dk> - 0.6-5
- Updated License field per new Licensing Guidelines. Some source files are missing the license declaration thus the entire package has to be strict GPLv2.

* Wed Jan 24 2007 Mads Villadsen <maxx@krakoa.dk> - 0.6-4
- Included Changelog instead of NEWS file.
- Added the Rezlooks-dark theme.


* Tue Jan 9 2007 Mads Villadsen <maxx@krakoa.dk> - 0.6-3
- Added COPYING file.

* Mon Jan 1 2007 Mads Villadsen <maxx@krakoa.dk> - 0.6-2
- Removed the Rezlooks-Aerials theme since it required an extra metacity theme and
icon theme.

* Sun Dec 31 2006 Mads Villadsen <maxx@krakoa.dk> 0.6-1
- First release (spec file based on spec file for murrine engine)

